<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <InvariantGlobalization>true</InvariantGlobalization>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Ardalis.SmartEnum" Version="7.0.0" />
        <PackageReference Include="Ensure.That" Version="10.1.0" />
        <PackageReference Include="FastEndpoints" Version="5.20.1" />
        <PackageReference Include="FastEndpoints.Swagger" Version="5.20.1" />
        <PackageReference Include="MediatR" Version="12.2.0" />
        <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="8.0.0"/>
        <PackageReference Include="OpenSleigh.Core" Version="2.0.2" />
        <PackageReference Include="OpenSleigh.Persistence.InMemory" Version="2.0.2" />
        <PackageReference Include="Stateless" Version="5.14.0" />
        <PackageReference Include="Swashbuckle.AspNetCore" Version="6.4.0"/>
    </ItemGroup>

    <ItemGroup>
      <Folder Include="Franchise\Branches\Api\" />
      <Folder Include="Franchise\Branches\Domain\" />
      <Folder Include="Franchise\Branches\Infrastructure\" />
      <Folder Include="Franchise\Branches\Presentation\Rest\" />
      <Folder Include="Parties\Infrastructure\" />
      <Folder Include="Parties\Model\Role\" />
      <Folder Include="Restaurants\Dishes\Infrastructure\Notifications\" />
      <Folder Include="Restaurants\Ingredients\Api\" />
      <Folder Include="Restaurants\Ingredients\Infrastructure\" />
      <Folder Include="Restaurants\Menus\Api\" />
      <Folder Include="Restaurants\Menus\Infraastrcture\" />
      <Folder Include="Restaurants\Menus\Presentation\" />
      <Folder Include="Restaurants\Personnel\Api\" />
      <Folder Include="Restaurants\Personnel\Infrastructure\" />
      <Folder Include="Restaurants\Personnel\Presentation\" />
      <Folder Include="Restaurants\Reviews\Api\" />
    </ItemGroup>

</Project>
